<?php
session_start();

if (!defined('webid')) {
    exit();
}
if (!isset($_SESSION["username"]) && !isset($_SESSION["password"])) {
    ?>
	<script type="text/javascript">
    hax({url:'/home', id:'flax'});
    </script>
	<?php
	exit();
}

$get_mess = mysql_fetch_array(mysql_query("SELECT greeting FROM tb_users WHERE id = '$_SESSION[iduser]'"));
$get_mess['greeting'] = str_replace("<br />", "\r\n", $get_mess['greeting']);
?>
<script type="text/javascript">
function descchange(elem) {
    if (elem.value.length > 300) {
        elem.value = elem.value.substr(0,300);
    }
    $('#countsms').html('Осталось '+(300-elem.value.length)+' символов');
}

$('#ask_desc').tipTip({defaultPosition:'top'});
$('#autoback').tipTip();

$('#addgreet').click(function(){
    $.post('ajax.php?func=addgreeting',{
        mess : $('#ask_desc').val(),
        autoback: $('#autoback').val()
    }, function(data){
        alert(data);
        FLAX.Html.thread['flax'].repeat();
    });
    return false;
});
</script>
<h3 style="border-bottom: 1px dotted #cccccc; color: #1c62b9; text-shadow: 0 1px 0 #fafafa;">Приветствие рефералу</h3>
<div class="header-stat">Помните, чем понятней и рентабельней будет Ваше приветствие, тем эффективнее будет работать Ваш реферал. Не нужно обещать золотых гор, заманивать красивыми сказками. Работа должна быть совместной и выгодной. <br><font color="#800000">Реф. ссылки на другие сайты запрещены, при обнаружении, мгновенный бан аккаунта без дальнейшего восстановления...</font></div><br />
<? if ($finestatus != '0') {
    echo '
        <div class="alert alert-block alert-error fade in">
            <h4 class="alert-heading">Внимание! На ваш аккаунт наложен штраф!</h4>
            <p>Ваш акаунт частично заблокирован за нарушение правил ('.$fine_text.') Для разблокировки аккаунта, вам необходимо оплатить штраф за нарушение, если вы не согласны с этим, можете покинуть проект, ваш аккаунт будет удален в течение 10 суток.</p>
            <p>
              <a class="btn btn-danger" href="/basket">Оплатить штраф</a> <a class="btn" href="/tos">Правила</a>
            </p>
        </div>';
} else { ?>
<table class='otab' width='100%' border='0' cellpadding='0' cellspacing='1'>
    <thead>
        <th colspan="2" style="padding: 5px; background: #ebebeb;"><span style="color: #212121; font-size: 12px; font-weight: bold; text-shadow: 0 1px 0 #f7f7f7; margin-right: 310px;">Форма приветствия</span><span style="position: relative;"><input type="submit" name="save" class="big_btn" value="Сохранить" id="addgreet" /></span></th>
    </thead>
    <tr>
        <td class="lt">Авторефбек</td>
        <td class="rt"><input type="text" class="val" size="6" style="text-align: right;" value="<?=$autoback?>" id="autoback" title="Минимальный % 0<br />Максимальный % 90" /></td>
    </tr>
    <tr>
        <td colspan="2" style="background: #ebebeb; padding: 3px;" align="center">Приветствие</td>
    </tr>
    <tr><td class="rt" colspan="2" id="countsms" style="text-align: center; padding: 5px; font-size: 11px;">Осталось 300 символов</td></tr>
    <tr><td colspan="2" align="center" style="padding: 5px; background: #ebebeb;"><textarea class="expanding" id='ask_desc' onkeyup="descchange(this);" title="Предложите рефералу что-нибуть интересное, чтобы работа была эффективной."><?=$get_mess['greeting']?></textarea></td>
    </tr>
</table>
<? } ?>